<?php 
require_once("../../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../../includes/academia_constantes.php");
require_once("../../includes/funciones_generales.php");

if(!comprobar_sesion()){
	$responce->page = 0;
	$responce->total =0;
	$responce->records = "0";
	echo json_encode($response);
	exit();
}

require_once("../../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
$sede=$_GET['sede'];
$jorn=$_GET['jorn'];
$ngrup=$sesion->getVar('configuracion.nombres_grupos');
$sql = "SELECT view_prom_grupo.nom_grado, view_prom_grupo.$ngrup AS nom_grupo, view_prom_grupo.prom_grupo, view_prom_grupo.periodo_calif FROM view_prom_grupo WHERE view_prom_grupo.cod_sede=$sede AND view_prom_grupo.cod_jornada=$jorn ORDER BY periodo_calif, orden";
#echo $sql;

$academia->instruccion($sql);
$datas=array();
$per=0;
$i=0;
while($reg=$academia->extraer_registro()){
	if($i==0) $per=$reg[periodo_calif];
	if($per==$reg[periodo_calif]){
		$datas[category][]=$reg['nom_grado'] . " ". $reg['nom_grupo'];
	}
	$datas['series'][$reg[periodo_calif]-1][data][]=(float) number_format($reg['prom_grupo'],2);
	$datas['series'][$reg[periodo_calif]-1][name]="Periodo ".$reg[periodo_calif];
$i++;
}

$datas['series']=array_values($datas['series']);

echo json_encode($datas);


?>